xine-lib: xvmc_surface_handler_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xvmc_surface_handler_s Struct Reference

`#include <xxmc.h>`

## Data Fields
XvMCSurface | surfaces [16]
int | surfInUse [16]
int | surfValid [16]
XvMCSubpicture | subpictures [4]
int | subInUse [4]
int | subValid [4]
pthread_mutex_t | mutex

## Field Documentation

## ◆ mutex

pthread_mutex_t xvmc_surface_handler_s::mutex

Referenced by xxmc_xvmc_alloc_subpicture(), xxmc_xvmc_alloc_surface(), xxmc_xvmc_destroy_subpictures(), xxmc_xvmc_destroy_surfaces(), xxmc_xvmc_free_subpicture(), xxmc_xvmc_free_surface(), xxmc_xvmc_surface_handler_construct(), and xxmc_xvmc_surface_valid().

## ◆ subInUse

int xvmc_surface_handler_s::subInUse[4]

Referenced by xxmc_xvmc_alloc_subpicture(), xxmc_xvmc_dump_subpictures(), xxmc_xvmc_free_subpicture(), and xxmc_xvmc_surface_handler_construct().

## ◆ subpictures

XvMCSubpicture xvmc_surface_handler_s::subpictures[4]

Referenced by xxmc_xvmc_alloc_subpicture(), xxmc_xvmc_destroy_subpictures(), and xxmc_xvmc_free_subpicture().

## ◆ subValid

int xvmc_surface_handler_s::subValid[4]

Referenced by xxmc_xvmc_alloc_subpicture(), xxmc_xvmc_destroy_subpictures(), xxmc_xvmc_dump_subpictures(), and xxmc_xvmc_surface_handler_construct().

## ◆ surfaces

XvMCSurface xvmc_surface_handler_s::surfaces[16]

Referenced by xxmc_xvmc_alloc_surface(), xxmc_xvmc_destroy_surfaces(), xxmc_xvmc_free_surface(), and xxmc_xvmc_surface_valid().

## ◆ surfInUse

int xvmc_surface_handler_s::surfInUse[16]

Referenced by xxmc_xvmc_alloc_surface(), xxmc_xvmc_dump_surfaces(), xxmc_xvmc_free_surface(), and xxmc_xvmc_surface_handler_construct().

## ◆ surfValid

int xvmc_surface_handler_s::surfValid[16]

Referenced by xxmc_xvmc_alloc_surface(), xxmc_xvmc_destroy_surfaces(), xxmc_xvmc_dump_surfaces(), xxmc_xvmc_surface_handler_construct(), and xxmc_xvmc_surface_valid().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_out/xxmc.h